<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__hw__types__template_8h" kind="file" language="C++">
    <compoundname>cyhal_hw_types_template.h</compoundname>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__override_1gad822a466fc63847114add720ef84c83a" kind="define" prot="public" static="no">
        <name>CYHAL_ISR_PRIORITY_DEFAULT</name>
        <initializer>(7) /* TODO: port specific value */</initializer>
        <briefdescription>
<para>Priority that is applied by default to all drivers when initalized. </para>        </briefdescription>
        <detaileddescription>
<para>Priorities can be overridden on each driver as part of enabling events. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="54" column="9" file="hal/template/cyhal_hw_types_template.h" line="54" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__types__implementation_1ga6fa614f4db78a602ddbdd0d6c6558c75" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_adc_t</definition>
        <argsstring />
        <name>cyhal_adc_t</name>
        <briefdescription>
<para>ADC instance object for use with the ADC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="77" column="1" file="hal/template/cyhal_hw_types_template.h" line="77" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga0435b7792bc72ba1d2d2029f7b655506" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_adc_channel_t</definition>
        <argsstring />
        <name>cyhal_adc_channel_t</name>
        <briefdescription>
<para>ADC channel instance object for use with the ADC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="85" column="1" file="hal/template/cyhal_hw_types_template.h" line="85" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga50b7592ce601b2998a854b4f3731a060" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_comp_t</definition>
        <argsstring />
        <name>cyhal_comp_t</name>
        <briefdescription>
<para>Comparator instance object for use with the Comparator driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="93" column="1" file="hal/template/cyhal_hw_types_template.h" line="93" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga9426486751ae7dfaf2d8c0e5578fb33e" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_crc_t</definition>
        <argsstring />
        <name>cyhal_crc_t</name>
        <briefdescription>
<para>CRC instance object for use with the CRC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="101" column="1" file="hal/template/cyhal_hw_types_template.h" line="101" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga073aa47a7acec06dc54fb2ed08bdc3e9" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_dac_t</definition>
        <argsstring />
        <name>cyhal_dac_t</name>
        <briefdescription>
<para>DAC instance object for use with the DAC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="109" column="1" file="hal/template/cyhal_hw_types_template.h" line="109" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gac478af1064b0bd94f73c2d5e7c868708" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_dma_t</definition>
        <argsstring />
        <name>cyhal_dma_t</name>
        <briefdescription>
<para>DMA instance object for use with the DMA driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="117" column="1" file="hal/template/cyhal_hw_types_template.h" line="117" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gafe92f247338f36a9d4480d092d56e84f" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_flash_t</definition>
        <argsstring />
        <name>cyhal_flash_t</name>
        <briefdescription>
<para>Flash instance object for use with the Flash memory driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="125" column="1" file="hal/template/cyhal_hw_types_template.h" line="125" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga37579d500a1d05905c8f2bea4e907f99" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_gpio_t</definition>
        <argsstring />
        <name>cyhal_gpio_t</name>
        <briefdescription>
<para>GPIO instance object for use with all peripheral drivers using pins. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="133" column="1" file="hal/template/cyhal_hw_types_template.h" line="133" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga32f094d79c0c6a3cb3f006ad5ebea3f6" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_i2c_t</definition>
        <argsstring />
        <name>cyhal_i2c_t</name>
        <briefdescription>
<para>I2C instance object for use with the I2C driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="141" column="1" file="hal/template/cyhal_hw_types_template.h" line="141" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gad248d645946045b26fcda59e77e43015" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_i2s_t</definition>
        <argsstring />
        <name>cyhal_i2s_t</name>
        <briefdescription>
<para>I2S instance object for use with the I2S driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="149" column="1" file="hal/template/cyhal_hw_types_template.h" line="149" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gadb735d72cb204e34d868203597d1aa02" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_lptimer_t</definition>
        <argsstring />
        <name>cyhal_lptimer_t</name>
        <briefdescription>
<para>LPTIMER instance object for use with the Low Power Timer driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="157" column="1" file="hal/template/cyhal_hw_types_template.h" line="157" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gad67e8f567b5d54aa35511a1bddb371d9" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_opamp_t</definition>
        <argsstring />
        <name>cyhal_opamp_t</name>
        <briefdescription>
<para>OpAmp instance object for use with the OpAmp driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="165" column="1" file="hal/template/cyhal_hw_types_template.h" line="165" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gad699a32011e66d85dd608493fff4feca" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_pwm_t</definition>
        <argsstring />
        <name>cyhal_pwm_t</name>
        <briefdescription>
<para>PWM instance object for use with the PWM driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="173" column="1" file="hal/template/cyhal_hw_types_template.h" line="173" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gaee62c60c87757ba11e91e8022de868e9" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_qspi_t</definition>
        <argsstring />
        <name>cyhal_qspi_t</name>
        <briefdescription>
<para>QSPI instance object for use with the Quad SPI driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="181" column="1" file="hal/template/cyhal_hw_types_template.h" line="181" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gac0f4aa3ae8f0eec37207cafa459fa5dd" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_trng_t</definition>
        <argsstring />
        <name>cyhal_trng_t</name>
        <briefdescription>
<para>TRNG instance object for use with the True Random Number Generator driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="189" column="1" file="hal/template/cyhal_hw_types_template.h" line="189" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gab66308c164165ae4ec6661882fe84952" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_rtc_t</definition>
        <argsstring />
        <name>cyhal_rtc_t</name>
        <briefdescription>
<para>RTC instance object for use with the Real Time Clock driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="197" column="1" file="hal/template/cyhal_hw_types_template.h" line="197" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga076330ea608dace9fbae6a3e37047ed5" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_sdhc_t</definition>
        <argsstring />
        <name>cyhal_sdhc_t</name>
        <briefdescription>
<para>SDHC instance object for use with the SDHC driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="205" column="1" file="hal/template/cyhal_hw_types_template.h" line="205" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga20445ff946ed88a7b95db6be511d6e17" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_sdio_t</definition>
        <argsstring />
        <name>cyhal_sdio_t</name>
        <briefdescription>
<para>SDIO instance object for use with the SDIO driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="213" column="1" file="hal/template/cyhal_hw_types_template.h" line="213" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga582f5fdf438f1086c7c28e06ef097950" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_spi_t</definition>
        <argsstring />
        <name>cyhal_spi_t</name>
        <briefdescription>
<para>SPI instance object for use with the SPI driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="221" column="1" file="hal/template/cyhal_hw_types_template.h" line="221" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga797a1d207419a3ce620a8da0035d1d55" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_timer_t</definition>
        <argsstring />
        <name>cyhal_timer_t</name>
        <briefdescription>
<para>Timer instance object for use with the Timer driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="229" column="1" file="hal/template/cyhal_hw_types_template.h" line="229" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga26531cd03f1520a76ffd9d906f6ff8fc" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_uart_t</definition>
        <argsstring />
        <name>cyhal_uart_t</name>
        <briefdescription>
<para>UART instance object for use with the UART driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="237" column="1" file="hal/template/cyhal_hw_types_template.h" line="237" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga85cbdc080fde43f1b5f00c33c2ceed91" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_usb_dev_t</definition>
        <argsstring />
        <name>cyhal_usb_dev_t</name>
        <briefdescription>
<para>USB Device instance object for use with the USB driver. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="245" column="1" file="hal/template/cyhal_hw_types_template.h" line="245" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gabb967889ff74acdaad515b63d1761752" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cy_stc_syspm_callback_t</definition>
        <argsstring />
        <name>cy_stc_syspm_callback_t</name>
        <briefdescription>
<para>Callback data for use with the System Sleep and Deepsleep APIs. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="254" column="1" file="hal/template/cyhal_hw_types_template.h" line="254" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gaaf0a928742df23047181e2b0cd263e6d" kind="typedef" prot="public" static="no">
        <type>void *</type>
        <definition>typedef void* cyhal_clock_t</definition>
        <argsstring />
        <name>cyhal_clock_t</name>
        <briefdescription>
<para>Clock type for use with the peripheral drivers. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="262" column="1" file="hal/template/cyhal_hw_types_template.h" line="262" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1gae6e4ea4100036d96d2efc006a3f69c9b" kind="typedef" prot="public" static="no">
        <type>uint32_t</type>
        <definition>typedef uint32_t cyhal_source_t</definition>
        <argsstring />
        <name>cyhal_source_t</name>
        <briefdescription>
<para>Routable signal source. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this enum. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="271" column="1" file="hal/template/cyhal_hw_types_template.h" line="271" />
      </memberdef>
      <memberdef id="group__group__hal__types__implementation_1ga8cc68fc0f23a2de010228ae5188598f0" kind="typedef" prot="public" static="no">
        <type>uint32_t</type>
        <definition>typedef uint32_t cyhal_dest_t</definition>
        <argsstring />
        <name>cyhal_dest_t</name>
        <briefdescription>
<para>Routable signal destination. </para>        </briefdescription>
        <detaileddescription>
<para>Application code should not rely on the specific contents of this enum. They are considered an implementation detail which is subject to change between platforms and/or HAL releases. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="hal/template/cyhal_hw_types_template.h" bodystart="279" column="1" file="hal/template/cyhal_hw_types_template.h" line="279" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a template for configuration resources used by the HAL. </para>    </briefdescription>
    <detaileddescription>
<para>Items here need to be implemented for each HAL port. It is up to the environment being ported into what the actual types are. There are some suggestions below but these are not required. All that is required is that the type is defined; it does not matter to the HAL what type is actually chosen for the implementation All TODOs and references to 'PORT' need to be replaced by with meaningful values for the device being supported.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="32"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /><highlight class="comment">/*</highlight></codeline>
<codeline lineno="35"><highlight class="comment">#include<sp />"TODO:<sp />Port<sp />specific<sp />header<sp />file"</highlight></codeline>
<codeline lineno="36"><highlight class="comment">*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="50"><highlight class="preprocessor">#ifndef<sp />CYHAL_ISR_PRIORITY_DEFAULT</highlight><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal" /></codeline>
<codeline lineno="54"><highlight class="preprocessor">#define<sp />CYHAL_ISR_PRIORITY_DEFAULT<sp /><sp />(7)<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />port<sp />specific<sp />value<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="55"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="56"><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga6fa614f4db78a602ddbdd0d6c6558c75">cyhal_adc_t</ref>;</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga0435b7792bc72ba1d2d2029f7b655506">cyhal_adc_channel_t</ref>;</highlight></codeline>
<codeline lineno="86"><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga50b7592ce601b2998a854b4f3731a060">cyhal_comp_t</ref>;</highlight></codeline>
<codeline lineno="94"><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga9426486751ae7dfaf2d8c0e5578fb33e">cyhal_crc_t</ref>;</highlight></codeline>
<codeline lineno="102"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga073aa47a7acec06dc54fb2ed08bdc3e9">cyhal_dac_t</ref>;</highlight></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gac478af1064b0bd94f73c2d5e7c868708">cyhal_dma_t</ref>;</highlight></codeline>
<codeline lineno="118"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gafe92f247338f36a9d4480d092d56e84f">cyhal_flash_t</ref>;</highlight></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga37579d500a1d05905c8f2bea4e907f99">cyhal_gpio_t</ref>;</highlight></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga32f094d79c0c6a3cb3f006ad5ebea3f6">cyhal_i2c_t</ref>;</highlight></codeline>
<codeline lineno="142"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gad248d645946045b26fcda59e77e43015">cyhal_i2s_t</ref>;</highlight></codeline>
<codeline lineno="150"><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gadb735d72cb204e34d868203597d1aa02">cyhal_lptimer_t</ref>;</highlight></codeline>
<codeline lineno="158"><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gad67e8f567b5d54aa35511a1bddb371d9">cyhal_opamp_t</ref>;</highlight></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gad699a32011e66d85dd608493fff4feca">cyhal_pwm_t</ref>;</highlight></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gaee62c60c87757ba11e91e8022de868e9">cyhal_qspi_t</ref>;</highlight></codeline>
<codeline lineno="182"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gac0f4aa3ae8f0eec37207cafa459fa5dd">cyhal_trng_t</ref>;</highlight></codeline>
<codeline lineno="190"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gab66308c164165ae4ec6661882fe84952">cyhal_rtc_t</ref>;</highlight></codeline>
<codeline lineno="198"><highlight class="normal" /></codeline>
<codeline lineno="205"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga076330ea608dace9fbae6a3e37047ed5">cyhal_sdhc_t</ref>;</highlight></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
<codeline lineno="213"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga20445ff946ed88a7b95db6be511d6e17">cyhal_sdio_t</ref>;</highlight></codeline>
<codeline lineno="214"><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga582f5fdf438f1086c7c28e06ef097950">cyhal_spi_t</ref>;</highlight></codeline>
<codeline lineno="222"><highlight class="normal" /></codeline>
<codeline lineno="229"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga797a1d207419a3ce620a8da0035d1d55">cyhal_timer_t</ref>;</highlight></codeline>
<codeline lineno="230"><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga26531cd03f1520a76ffd9d906f6ff8fc">cyhal_uart_t</ref>;</highlight></codeline>
<codeline lineno="238"><highlight class="normal" /></codeline>
<codeline lineno="245"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga85cbdc080fde43f1b5f00c33c2ceed91">cyhal_usb_dev_t</ref>;</highlight></codeline>
<codeline lineno="246"><highlight class="normal" /></codeline>
<codeline lineno="247"><highlight class="normal" /></codeline>
<codeline lineno="254"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gabb967889ff74acdaad515b63d1761752">cy_stc_syspm_callback_t</ref>;</highlight></codeline>
<codeline lineno="255"><highlight class="normal" /></codeline>
<codeline lineno="262"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />replace<sp />with<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gaaf0a928742df23047181e2b0cd263e6d">cyhal_clock_t</ref>;</highlight></codeline>
<codeline lineno="263"><highlight class="normal" /></codeline>
<codeline lineno="264"><highlight class="normal" /></codeline>
<codeline lineno="271"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />uint32_t<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1gae6e4ea4100036d96d2efc006a3f69c9b">cyhal_source_t</ref>;</highlight></codeline>
<codeline lineno="272"><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />uint32_t<sp /></highlight><highlight class="comment">/*<sp />TODO:<sp />port<sp />specific<sp />type<sp />*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__types__implementation_1ga8cc68fc0f23a2de010228ae5188598f0">cyhal_dest_t</ref>;</highlight></codeline>
<codeline lineno="280"><highlight class="normal" /></codeline>
<codeline lineno="281"><highlight class="normal" /></codeline>
<codeline lineno="284"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="normal">}</highlight></codeline>
<codeline lineno="286"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />__cplusplus<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="287"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="hal/template/cyhal_hw_types_template.h" />
  </compounddef>
</doxygen>